#include <iostream>
using namespace std;

int main()
{
    int n,max=0,maxIndex,p1=0,prolaz=0,max2=0,max2Index,p2=0,temp;
    cin>>n;
    int arr[n];
    for(int i=0; i<n; i++)
    {
        cin>>arr[i];
        if(max<arr[i] && i!=0)
        {
            max=arr[i];
            maxIndex=i;
        }
    }
    
    for(int j=0; j<n; j++)
    {
        if(arr[j]<max && p1==0)
        {
            temp=arr[j];
            arr[j]=max;
            arr[maxIndex]=temp;
            p1=1;
        }
        prolaz=1;
    }
    
    if(prolaz==0)
    {
        for(int k=0; k<n; k++)
        {
            if(max2<arr[k] && arr[k]!=max)
            {
                max2=arr[k];
                max2Index=k;
            }
        }
        
        for(int l=0; l<n; l++)
        {
            if(arr[l]!=max2 && p2==0)
            {
                temp=arr[l];
                arr[l]=max2;
                arr[max2Index]=temp;
                p2=1;
            }
        }
    }
    for(int x=0; x<n; x++)
    {
        cout<<arr[x]<<" ";
    }
}